Loading...
Searching...
No Matches
pcl::PCLBase< pcl::PCLPointCloud2 > Class Reference

`#include <pcl/pcl_base.h>`

Inheritance diagram for pcl::PCLBase< pcl::PCLPointCloud2 >:

## Public Types

using | PCLPointCloud2 = pcl::PCLPointCloud2
using | PCLPointCloud2Ptr = PCLPointCloud2::Ptr
using | PCLPointCloud2ConstPtr = PCLPointCloud2::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr

## Public Member Functions

| PCLBase ()
| Empty constructor.
virtual | ~PCLBase ()=default
| destructor.
void | setInputCloud (const PCLPointCloud2ConstPtr &cloud)
| Provide a pointer to the input dataset.
PCLPointCloud2ConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
IndicesPtr const | getIndices () const
| Get a pointer to the vector of indices used.

## Protected Member Functions

bool | initCompute ()
bool | deinitCompute ()

## Protected Attributes

PCLPointCloud2ConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.
std::vector< uindex_t > | field_sizes_
| The size of each individual field.
index_t | x_idx_
| The x-y-z fields indices.
index_t | y_idx_
index_t | z_idx_
std::string | x_field_name_
| The desired x-y-z field names.
std::string | y_field_name_
std::string | z_field_name_

## Detailed Description

Definition at line 181 of file pcl_base.h.

## Member Typedef Documentation

## PCLPointCloud2

using pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2 = pcl::PCLPointCloud2

Definition at line 184 of file pcl_base.h.

## PCLPointCloud2ConstPtr

using pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2ConstPtr = PCLPointCloud2::ConstPtr

Definition at line 186 of file pcl_base.h.

## PCLPointCloud2Ptr

using pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2Ptr = PCLPointCloud2::Ptr

Definition at line 185 of file pcl_base.h.

## PointIndicesConstPtr

using pcl::PCLBase< pcl::PCLPointCloud2 >::PointIndicesConstPtr = PointIndices::ConstPtr

Definition at line 189 of file pcl_base.h.

## PointIndicesPtr

using pcl::PCLBase< pcl::PCLPointCloud2 >::PointIndicesPtr = PointIndices::Ptr

Definition at line 188 of file pcl_base.h.

## Constructor & Destructor Documentation

## PCLBase()

pcl::PCLBase< pcl::PCLPointCloud2 >::PCLBase | ( |  | ) |

Empty constructor.

## ~PCLBase()

virtual pcl::PCLBase< pcl::PCLPointCloud2 >::~PCLBase | ( |  | ) |

virtual default

destructor.

## Member Function Documentation

## deinitCompute()

bool pcl::PCLBase< pcl::PCLPointCloud2 >::deinitCompute | ( |  | ) |

protected

## getIndices()

IndicesPtr const pcl::PCLBase< pcl::PCLPointCloud2 >::getIndices | ( |  | ) | const

inline

Get a pointer to the vector of indices used.

Definition at line 221 of file pcl_base.h.

## getInputCloud()

PCLPointCloud2ConstPtr const pcl::PCLBase< pcl::PCLPointCloud2 >::getInputCloud | ( |  | ) | const

inline

Get a pointer to the input point cloud dataset.

Definition at line 205 of file pcl_base.h.

## initCompute()

bool pcl::PCLBase< pcl::PCLPointCloud2 >::initCompute | ( |  | ) |

protected

## setIndices() [1/2]

void pcl::PCLBase< pcl::PCLPointCloud2 >::setIndices | ( | const IndicesPtr & | indices | ) |

Provide a pointer to the vector of indices that represents the input data.

Parameters

  [in] | indices | a pointer to the indices that represent the input data.

## setIndices() [2/2]

void pcl::PCLBase< pcl::PCLPointCloud2 >::setIndices | ( | const PointIndicesConstPtr & | indices | ) |

Provide a pointer to the vector of indices that represents the input data.

Parameters

  [in] | indices | a pointer to the indices that represent the input data.

## setInputCloud()

void pcl::PCLBase< pcl::PCLPointCloud2 >::setInputCloud | ( | const PCLPointCloud2ConstPtr & | cloud | ) |

Provide a pointer to the input dataset.

Parameters

  cloud | the const boost shared pointer to a PointCloud message

## Member Data Documentation

## fake_indices_

bool pcl::PCLBase< pcl::PCLPointCloud2 >::fake_indices_

protected

If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

Definition at line 234 of file pcl_base.h.

## field_sizes_

std::vector<uindex_t> pcl::PCLBase< pcl::PCLPointCloud2 >::field_sizes_

protected

The size of each individual field.

Definition at line 237 of file pcl_base.h.

## indices_

IndicesPtr pcl::PCLBase< pcl::PCLPointCloud2 >::indices_

protected

A pointer to the vector of point indices to use.

Definition at line 228 of file pcl_base.h.

## input_

PCLPointCloud2ConstPtr pcl::PCLBase< pcl::PCLPointCloud2 >::input_

protected

The input point cloud dataset.

Definition at line 225 of file pcl_base.h.

## use_indices_

bool pcl::PCLBase< pcl::PCLPointCloud2 >::use_indices_

protected

Set to true if point indices are used.

Definition at line 231 of file pcl_base.h.

## x_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::x_field_name_

protected

The desired x-y-z field names.

Definition at line 243 of file pcl_base.h.

## x_idx_

index_t pcl::PCLBase< pcl::PCLPointCloud2 >::x_idx_

protected

The x-y-z fields indices.

Definition at line 240 of file pcl_base.h.

## y_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::y_field_name_

protected

Definition at line 243 of file pcl_base.h.

## y_idx_

index_t pcl::PCLBase< pcl::PCLPointCloud2 >::y_idx_

protected

Definition at line 240 of file pcl_base.h.

## z_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::z_field_name_

protected

Definition at line 243 of file pcl_base.h.

## z_idx_

index_t pcl::PCLBase< pcl::PCLPointCloud2 >::z_idx_

protected

Definition at line 240 of file pcl_base.h.

The documentation for this class was generated from the following file:

- pcl/pcl_base.h